Upserts a voice-open policy (default-deny means a policy is what PERMITS an open).
PUT
/v1/m/voice/policies
const url = 'https://example.com/v1/m/voice/policies';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"agent_ref":"example","allowed_model_ref":"example","allowed_provider_ref":"example","calls":{"enabled":true,"from_patterns":["example"],"guardrail_instructions":"example","model":"example","recording":{"active":true,"dtmf_masking":true,"pause_resume":true},"to_patterns":["example"]},"max_latency_ms":1,"max_session_minutes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/voice/policies \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "agent_ref": "example", "allowed_model_ref": "example", "allowed_provider_ref": "example", "calls": { "enabled": true, "from_patterns": [ "example" ], "guardrail_instructions": "example", "model": "example", "recording": { "active": true, "dtmf_masking": true, "pause_resume": true }, "to_patterns": [ "example" ] }, "max_latency_ms": 1, "max_session_minutes": 1 }'Upserts a voice-open policy (default-deny means a policy is what PERMITS an open).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
agent_ref
required
string
allowed_model_ref
required
string
allowed_provider_ref
required
string
calls
Any of:
object
from_patterns
Any of:
Array<string>
null
recording
to_patterns
Any of:
Array<string>
null
null
Example generated
{ "agent_ref": "example", "allowed_model_ref": "example", "allowed_provider_ref": "example", "calls": { "enabled": true, "from_patterns": [ "example" ], "guardrail_instructions": "example", "model": "example", "recording": { "active": true, "dtmf_masking": true, "pause_resume": true }, "to_patterns": [ "example" ] }, "max_latency_ms": 1, "max_session_minutes": 1}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}